AntStructure.StructurePrinter (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: AntStructure, interface: StructurePrinter

Package org.apache.tools.ant.taskdefs

# Interface AntStructure.StructurePrinter

Enclosing class:
  AntStructure

    public static interface AntStructure.StructurePrinter

Writes the actual structure information.

`printHead(java.io.PrintWriter, org.apache.tools.ant.Project, java.util.Hashtable<java.lang.String, java.lang.Class<?>>, java.util.Hashtable<java.lang.String, java.lang.Class<?>>)`, `printTargetDecl(java.io.PrintWriter)` and `printTail(java.io.PrintWriter)` are called exactly once, `printElementDecl(java.io.PrintWriter, org.apache.tools.ant.Project, java.lang.String, java.lang.Class<?>)` once for each declared task and type.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `printElementDecl​(java.io.PrintWriter out, Project p, java.lang.String name, java.lang.Class<?> element)` | Print the definition for a given element.
  `void` | `printHead​(java.io.PrintWriter out, Project p, java.util.Hashtable<java.lang.String,​java.lang.Class<?>> tasks, java.util.Hashtable<java.lang.String,​java.lang.Class<?>> types)` | Prints the header of the generated output.
  `void` | `printTail​(java.io.PrintWriter out)` | Prints the trailer.
  `void` | `printTargetDecl​(java.io.PrintWriter out)` | Prints the definition for the target element.

- ## Method Details

  - ### printHead

    void printHead​(java.io.PrintWriter out, Project p, java.util.Hashtable<java.lang.String,​java.lang.Class<?>> tasks, java.util.Hashtable<java.lang.String,​java.lang.Class<?>> types)
    Prints the header of the generated output.
    Parameters:
      `out` - PrintWriter to write to.
      `p` - Project instance for the current task
      `tasks` - map (name to implementing class)
      `types` - map (name to implementing class) data types.

  - ### printTargetDecl

    void printTargetDecl​(java.io.PrintWriter out)
    Prints the definition for the target element.
    Parameters:
      `out` - PrintWriter to write to.

  - ### printElementDecl

    void printElementDecl​(java.io.PrintWriter out, Project p, java.lang.String name, java.lang.Class<?> element)
    Print the definition for a given element.
    Parameters:
      `out` - PrintWriter to write to.
      `p` - Project instance for the current task
      `name` - element name.
      `element` - class of the defined element.

  - ### printTail

    void printTail​(java.io.PrintWriter out)
    Prints the trailer.
    Parameters:
      `out` - PrintWriter to write to.